Bookmarks

Home | Categories

ALT+M inserts a bookmark at the current caret position in the main window

Cycle through your bookmarks in the main window by pressing

  • ALT+N (next) and
  • ALT+B (before/previous)

Or use the Jumps Windows [image] note that you can filter this list:

The vertical stripes in the list correspond to the relative position of the bookmarks.

Please note

  • When exporting or printing, the bookmark string will be left out, but all text following it will stay in place
  • Do not 'name' your bookmarks, they are jump marks only, not alias-links like in web browsers
  • For annotations and notes use comments or the repository

Define a custom character string for your bookmarks.

To remove all bookmarks from your text:

Categories: Navigating | Writing

Related topics: Comments | Filtering | Headings | Jump Masks

WriteMonkey version 2.4.0.6 | This helpfile last updated on Aug 29, 2012 --- Stefan Müller


Colors+Fonts

Try your luck:

  • Click the :) button for random colors or press ALT+L when dialog is closed
  • CTRL-click to change ink-color only
  • ALT-click to change paper-color only

Consider saving your whole batch of color schemes into a profile

For details about Heading Style see Styling Headings

Dim screen elements:

  • Screen Elements are all non-text elements
  • the slider dims the info bar, visual progress bar, text column markers, scroll indicator

Window opacity:

  • from 100 - 50%
  • CTRL+F3 to adjust opacity when Prefs-Window is closed:
    The Notices-section of the Info Bar will show: Window Opacity:xx%

Secondary Colors

Are used for comments, the Info Bar, and files marked as //draft [image] Tags

Inverse Colors

  1. The first checkbox inverts foreground- and background color of the info bar
  2. The second checkbox determines whether the secondary color is created from the paper or ink color

If you use inverse colors in the Repository, test your color scheme there, too

Categories: Screen Layout

Related topics: Easy on the Eyes | Headings | Info Bar | Profiles | View Modes


Comments

Syntax: //a note to myself

  • it has to go at the beginning of a line
  • the whole (multi-line) paragraph will be considered a comment

Comments are excluded from word count and all other statistics

Comments are useful to

  • insert meta-data at the top of your file [image] Tags
  • to mark parts that need further attention
  • to comment out some parts of text – if you are over your word count limit, but still want to keep deleted parts

Tips

  • Disable Compact View (CTRL+W) to see more of your comment text
  • Devise your own comments scheme and define Replacements for strings like //TO-EDIT: to guarantee consistency and avoid typos
  • Filter the jumps window to narrow down your list of comments
  • you may also set up more specialized jump masks for various contents

Depending on your settings, comments may or may not be included with

  • exports via Markup Export
  • merged files [image] Merge Files

Categories: Writing

Related topics: Bookmarks | Jump Masks | Repository | ToDo Notes


Date+Time

There are two setting fields where Date+Time formats are entered:

  • Screen Elements > 'More' - dialog to set the format for the info bar
  • Misc-Tab which applies to the following:
    • to stamp your snippets cut to the Repository with CTRL+M
    • as the [date] placeholder in Replacements

Examples:

  • d. MMMM yyyy - HH:MM [image] 20. August 2012 - 23:45
  • MM-dd-yyyy hh:mm tt [image] 08-20-2012 11:45 PM
  • hh:mm tt z [image] 11:45 PM +5 (indicates offset from UTC)
Date |  |
 | yyyy | 2012
 | yy | 12
 | MMMM | January - December
 | MMM | Jan - Dec
 | MM | 01-12
 | M | 1-12
 | dd | 01-31
 | d | 1-31
Time |  |
 | hh | 01-12
 | h | 1-12
 | HH | 01-24
 | H | 1-24
 | mm | 01-59
 | m | 1-59
 | ss | 01-59
 | s | 1-59
 | t | A/P
 | tt | AM/PM
 | z | UTC offset

Categories: What else?


Easy on the Eyes

You can't argue taste. Here's how users customize their stationary, all values are RGB:

Kensai
  • Start with the second Inverse Colors box checked and the Dim Screen Elements slider all the way to the right.
  • Then set your paper color to 1/1/0 and take a look at your //comments and infobar. Use the Dim Screen Elements slider to taste. You can make your syntax highlighting and infobar all sorts of colors while keeping a black/near black paper color.
  • One of my favored ink colors is 155/155/255, which I think looks great with the above settings or sometimes 3/2/0
  • I've also got some themes set with amber text (208/160/0) with blue highlighting derived from a paper color of 1/1/2 (0/0/1 is just too dark and intensely blue). Doesn't seem to work very well as you move the paper color away from black, but it does give alot of extra room for experimentation.
Stefan
  • I once asked a surgeon why they wear green gowns. He claimed it was not just for the good contrast to red blood, but also because Green soothes you, it fosters concentration and allows you to focus for long hours
  • My WM-operating theatre: 192/220/192
  • Other eye rest areas:
    • 220/223/198 to sober me up
    • 211/211/118 with an ink of 4/90/4
  • To grab colors from other sources I use this freeware: www.blacksunsoftware.com/colormania.html External
Owen
  • RGB all 255
  • Inverse colours unchecked
  • Dim 50%
  • Opacity 100%
  • Font Consolas Bold 9.5
  • When I want to 'warm' it up a bit I go RGB 206/204/187.
  • When I want to go crazy with some WriteMonkey feeling colour it's RGB 188/ 213/105
  • Other than that I don't monkey with my other settings.

Categories: Tips & Tricks

Related topics: Colors+Fonts


File Locations

Your text-files are located wherever you choose to keep them

  • Your custom file order is stored in _PROJECT.DAT , located in each of your project folders
  • An upgrade will not overwrite any of these files

Backup-files (if enabled)

  • reside in a directory of your choice [image] Open&Save > Backups
  • An upgrade will keep these settings intact

Program settings are stored in user.config

  • Vista + Win7: C:\Users\[Username]\AppData\Local\Studio_pomaranča_d.o.o__O
  • WinXP: C:\Documents and Settings\[Username]\Local Settings\AppData\Studio_pomaranča_d.o.o__O
  • An upgrade will not overwrite an existing user.config , but create an additional user.config

Subfolders containing Dictionaries, Profiles, Sounds, Templates

  • all reside in the WriteMonkey program folder
  • An upgrade may overwrite these 4 folders [image] secure them before upgrading, or don't overwrite those folders

Your custom user dictionary user.dic is located here:

  • Vista: C:\Users\[Username]\AppData\Roaming\NetSpell
  • WinXP: C:\Documents and Settings\[Username]\AppData\NetSpell
  • An upgrade will not overwrite your user.dic

Categories: What else?

Related topics: Files + Projects | Open+Save


Files + Projects

Projects

A project in WM equals any one folder (directory) of your file system.
WM won't deal with subfolders; you can have them but Jumps Window won't show them.

To start a new a project:

  • press CTRL+P to add a folder (=project)
  • or simply open a file [image] its parent folder will be added to the projects/folders list

CTRL+LEFT/RIGHT | step through the recent projects/folders list
ALT+DOWN | open the recent folders pop-up list
CTRL-click an item | remove it from the list
CTRL+F | open containing folder of the current file
CTRL+P | add project folder to folder list

Files

By default Jumps will show .txt, .md, and .markdown files.
To see more file types, enter their extension:

To open a file not on the recent-list: ALT+UP, then press O:

To open files from the main window, see Open+Save

For more file operations [image] right-click inside the file-list:

File Order

To re-order files in the Jumps Window Window:

  • drag&drop a file onto another
  • the file you dragged will be positioned above

Or use keystrokes:

  • CTRL+X to cut the selected file
  • CTRL+V to paste it (above the currently selected)

To move a file from the bottom repository to the upper project section:

  • enter/open the file
  • remove it's draft or repo - tag

Your custom file order is stored in _PROJECT.DAT , located in each of your project folders.
Since every folder has it's own _PROJECT.DAT , you can transfer individual projects to other computers without losing your file order (scene structure etc)

Merge Files

The content of merged files will be copied into a new file

  • all existing files stay in place
  • the merged file is named in the format _MERGED YYYY-MM-DD hh-mm

Choose what to include:

  • Comments - merge files with them or without
  • Filter the file list [image] only visible files will be merged

Always included are:

  • Bookmarks
  • Headings and all other Markup Formatting

Not included are:

  • files tagged as //draft or //repo
  • already existing merged files at the bottom of the list
  • the repository of each file

Categories: Navigating

Related topics: Filtering | Tags


Filtering

You can filter the Jumps Window Window in all 3 sub-panes:

TAB | places the cursor in the Filter Box
CTRL+0 (zero) | clears the Filter Box

  • Filter terms are not case sensitive: wedding equals Wedding
  • Wildcards are possible: we*ing or we??ing
Operators |
 | Syntax | Result
AND | Blue Green | to match items that are Blue and Green
NOT | Blue -Green | to match itmes that are Blue but not Green
OR | Blue or Green | to match items that are Blue or Green or both

With FILES activated, your file list will be filtered according to (partial) matches of...

  • file names: wedding will match the file Shotgun Wedding.txt
  • tags: wedding will also match a file with the tag //Wedding
  • file content [image] if preceded by '&': &wedding will match files that contain the word wedding

Examples

  • Only merge those files that are fully completed, i.e. are tagged with 100%
  • filter for list notes and Todo-items [image] ToDo Notes

If you consistently tag your files with the names of characters, locations, events, you see at a glance ...

  • all files (scenes) in which both, Eric and Susan are present: Eric Susan
  • scenes in which Eric and Susan are present, but not Robert: Eric Susan -Robert
  • if Eric takes part in any scene at the library: Library Eric
  • But what if someone just mentioned him? You didn't name-tag him in that file, because he is not present in the scene, but his name would be mentioned somewhere in the body text: &Eric

Categories: Navigating | What else?

Related topics: Find + Replace | Tags


Find + Replace

CTRL+F opens the dialog:

will insert a newline [n] and tab [t]

When 'Use Regular Expressions' is enabled:

  • this will override the checkbox 'Use Wildcards'
  • use RegEx notation that works inline, no placeholders like '^' and '\n'
  • you can combine your inline RegEx search with

Please note

  • Replace always affects the whole text, even if only part of it is selected
  • To replace within parts only, use Segment Focus
  • CTRL+Z will not undo [image] leave the dialog open and click the 'Undo' button

To search for content in more than one file, use the Filter Feature

Categories: Writing

Related topics: Filtering | RegEx | Tags


Getting Started

Writemonkey is a portable application, no installation is necessary.

  1. Copy the Writemonkey folder from the zip file to Program Files or any other folder on any disk or USB thumb drive
  2. Run WriteMonkey.exe
  3. Press F1 for Help Cards

You can position the Jumps Window (CTRL+ENTER) on either side of your text
Scroll areas are mirrored on both sides of your text

To open a file simply drag it into Writemonkey's main window
CTRL+N | New File from Scratch
CTRL+SHIFT+N | New File from Clipboard contents
Moving text
Drag&Drop | a selection with the mouse, hold CTRL to copy
When nothing is selected, the following affects the whole paragraph:
ALT+Up/Down | to move current paragraph up or down
CTRL+C | to copy
CTRL+X | to cut
For maximum portability your work is stored in standard text files
CTRL+S | Save
CTRL+SHIFT+S | Save as...
CTRL+Q | Quit Writemonkey


Headings

Headings follow the rules of markup syntax

The following syntax applies to Markdown Extra only:

This is an H1
=============

This is an H2
-------------

or

# Heading Level 1

## Heading Level 2

### Heading Level 3

#### Heading Level 4

##### Heading Level 5

###### Heading Level 6

To see your headings in the Jumps window:

  • your jump mask must match the heading-syntax
  • you may have to disable 'Compact View'

Example: Show headings with first following paragraph:
Enter the following into a new jump mask

^#{1,6}.+?\n+.*?\n|^(.+)[ \t]*\n[=-]+[ \t]*\n+.*?\n

CTRL+W to see more lines ('Compact view' OFF)

Styling Headings

  1. Adjust font size and attributes
  2. Enable markup syntax highlighting
  3. Set Markup standard to the syntax that your headings use

Your heading syntax must match the chosen Markup-Standard:

  • Markdown Extra: # Level 1 , ## Level 2 .... etc.
  • WikiCreole: == Level 1 , === Level 2 , ==== Level 3
  • Textile: h1. Level 1 , h2. Level 2 ... etc.

Visual style settings are saved with color schemes in permanent slots [image] Colors+Fonts

  • You can create different styles for different type of work
  • Use plain centered headings for your novel, bold + underlined for more structured pieces etc.

Categories: Navigating | Screen Layout

Related topics: Filtering | Jumps Window | Markup Export | Markup Formatting


Home

Step by Step

  • First Steps: Getting Started | View Modes | Colors+Fonts | Sounds | Profiles
  • Navigating: Scrolling+Zooming | Bookmarks | Jumps Window | Headings | Find + Replace
  • Writing + Editing: Segment Focus | Lookups | Spell Check | Comments | Repository | Markup Formatting | ToDo Notes | Sprint Writing | Word Count
  • Managing Projects: Tags | Filtering | Files + Projects | Backups | Print+Export
  • Special Interest: File Locations | Text Statistics | Markup Export | RegEx | Math Calculations

At One Glance

Click on screenshot-areas for details:

See All Shortcuts


Info Bar

ALT+P toggles Infobar Off/On.
The 5 Slots refer to their relative position on screen:

Infobar Sections:

  • File Name [image] clicking on it will open the Jumps Window
  • Progress [image] clicking on it will open the Progress Window for more options
  • Notices [image] are shown for a few seconds:
    • Repository has contents , Repository on , Saving ... ,
    • Time is up [image] when sprint writing time has expired
    • Window Opacity:xx% [image] when dimming opacity with CTRL+F3
  • Status:
    • Paused [image] Sprint Timer was halted by pressing ALT+F11
    • Flw [image] Flow mode, for donors only
    • Foc [image] Segment Focus is on
    • Rep [image] Repository section is active
    • '+' [image] Repository contains text (shown when main section is active)
    • '=' [image] Typewriter Scrolling, press CTRL+L to toggle On/Off
    • '^' [image] Writemonkey is locked-on-top, press F8 to toggle On/Off
    • ±X% [image] when your PC's battery juice drops below the defined %-value, see below
  • Time [image] click on the 'More'-button to set the format:

Details about Date/Time-Formatting [image] Date+Time

Related settings:

  • Scroll Indicator [image] Scrolling+Zooming
  • Visual Progress Bar and Partial Word Count
  • Colors+Fonts
    • to set the font of the info bar
    • to adjust its size for the window mode

Categories: Screen Layout


Jump Masks

In Jumps Window:

  • Press CTRL+LEFT/RIGHT to step through jump masks
  • Every mask has it's counterpart definition on the Jumps-tab of Preferences:

When you add or edit an entry:

  • Test your mask by entering a few example terms, "true" and "false" ones
  • After clicking OK the 'Matches found' should match your expectations

For a crash course on Regular Expressions, let's take apart 'Quotes':

["“»‘].+?["”«’]|^>{1,}.*\n

["“»‘] [image] .+? ["”«’] [image] OR [image] ^ [image] >{1,} [image] .* [image] \n

RegEx in a nutshell
^ | Beginning of a line
\n | new line, line break
. (dot) | match any character
Referring to what stands left of it:
+ | match one or more times
* | match zero or more times
{n,m} | at least n, but max m times
? | non-greedy mode
Groups and Substrings
| | OR operator
[xyz] | x or y or z

["“»‘] [image] any one of these characers

.+? any character, one or more times, non-greedy

["”«’] [image] any one of these characters

| [image] OR

^ [image] beginning of a line

>{1,} [image] the '>' character, at least one time

.* [image] any character, zero or more times, greedy

\n [image] new line

More examples:

  • Headings
  • ToDo Notes
  • Jumping Jack

Categories: Navigating

Related topics: Filtering | RegEx


Jumping Jack

My bookmarks and comments work overtime. To reduce the strain on my jump lists, I came up with some tweaks.

Bookmarks

My boookmark string is @@. I insert it all the time, for every word I need to look up. Then later, should I be in a time crunch, I only attend to the most important ones, and these I have marked by hitting ALT+M twice: @@@@

I then filter my bookmarks for '@@' to line up those Biggies:

  • this pares down the list to super-sized bookmarks only, an email-address@will.not show up
  • purging them, printing and exporting still works fine, no remnants to worry about

If two sizes are not enough for you, go triple, but be aware that the number of @@@@@@ must add up to 6. Not 5, not 7. Otherwise they leave traces when exporting or purging.

Comments

Another heavy duty workhorse. Comments would be stampeding my list if I had not seperated them into groups: Based on Josip's trick I have set up a system of

  • !N Narrative
  • !D for Dialogue
  • !A for Action

I put these as comments right where they belong, into the main text.
To account for sloppy typing I allow optional whitespace after the dashes [image] // !N

Here's the jump mask for Narratives: ^//\s*?!N.*?\n
The ( \s*? ) -part takes care of the optional whitespace.
The result of this mask:

  • I see how my narrative sections are spread out over the length of the text (represented by vertical stripes)
  • I can ear-mark them for further treatment //!N could easily be broken up by some !D or !A

To really turn this into a slick method ...

  • I changed the mask for regular comments: ^//\s*?[^!]+?\n
  • Now it will NOT show comments with an '!' up front. Whitespace optional (again, to cover my sloppiness)

Wouldn't it be easier to keep the original (include-all) comments-mask and filter it?

  • When you negate the '!' in the filter box (to NOT show !N !A !D etc.) you run the risk of not seeing comments you want, comments that have an '!' anywhere, not just up front
  • Plus, and here comes the real beauty of it (or my insanity, depending on your POV), you still have the filter available to fine-tune comments that may look like this: //!N convert to some !D
    This allows you to
    • filter your narratives to see only those that could be broken up by dialogue !D
    • filter your dialogues to see only those that could take narrative !N or benefit by action !A

Only the special comments described above provide this specifity.

Categories: Tips & Tricks


Jumps Window

Click for details:

This is your main navigation window for Files + Projects, Bookmarks, Headings, and your own custom Jump Masks

Open Jumps | CTRL+ENTER or ALT+LEFT/RIGHT
 | middle-click left or right of the text column
 | click on FileName in the Info Bar
Close Jumps | ESC
 | ENTER (twice in Files view), go to new position
 | BACKSPACE, keep old position

Categories: Navigating

Related topics: Files + Projects | Filtering | Tags


Language

User Interface language packs are available for download on the WriteMonkey website External

  • Unzip their xx-YY directory into writemonkey's application folder.
  • Then change the application language on the language tab and restart WriteMonkey

Details about Spell Checker settings [image] Spell Check

Categories: What else?

Related topics: Spell Check


Layout

All controls on this dialog have an immediate impact on your screen:

  • tweak the values in real-time
  • then store your settings in a profile

The alternate keystrokes work in the main window only, no need for the dialog box.

Zooming + Layout
Ctrl Wheel | Zoom text + column width
Shift Wheel | Zoom text only (keep column width)
Alt Wheel | Adjust column width only (keep text size)
CTRL+ALT+LEFT | Shrink text column
CTRL+ALT+RIGHT | Widen text column
CTRL+ALT+Up | Zoom in
CTRL+ALT+Down | Zoom out
CTRL+0 (zero) | Reset to default

To avoid straining your neck

  • you may want to increase the bottom margin so you never have to strain your neck and eyes by looking down

Categories: Screen Layout

Related topics: Profiles | Scrolling+Zooming


Lookups

To look up words on the internet:

  1. Position your cursor in a word or select several words
  2. Press ALT+1 or ALT+2 etc. depending on the service you intend to use

Or right-click in the main window:

With a 2 monitor setup, put your web browser on the other screen

  • to keep writing full screen in WriteMonkey
  • while your lookup loads on the other screen

Adding Lookup Entries

To add lookup-targets:

  1. Go to a suitable website and enter a test query
  2. Check what the URL looks like.
    • Your search term should be part of the URL
    • If not, the site is not compatible with this feature
  3. Copy the URL into WM's dialog
  4. Check the word seperator:
    • Most sites use '+' sign
    • Others like Wikipedia use the underscore '_'
  5. Replace search term with [lookup] placeholder

Categories: Tips & Tricks | Writing

Related topics: Replacements


Markup Export

When you export your markup-formatted file:

  1. Writemonkey will convert your markup to HTML tags
  2. then apply CSS styles according to the chosen template
  3. and export to a saved (optional) output destination

On the Print&Export Tab:

  • Enable 'Show options dialog'
  • otherwise last used settings will be applied

Press CTRL+SHIFT+E to call up the export dialog:

To export only part of your text:

  • Make a selection prior to calling up the dialog
  • If nothing is selected the whole document will be exported

Select the recipient of your export (MS Word for instance), then

  1. pick the correct Markdown standard from the dropdown
    • it must correspond to the syntax used in your text
    • for details see Markup Formatting
  2. Include template (CSS sheet)
    • this may greatly influence the rendered format
    • for details see CSS Template
  3. Export file to folder (optional)
  4. Export inline comments
    • If kept, they will have a yellow background by default
    • change this by specifying/editing a template in step 2

Copy+Paste Markup

As an alternative to a full-fledged markup export, you may

  • select parts of your text
  • then press CTRL+SHIFT+F to copy your selection as formatted text

This will (instantly) give you the same result as exporting to your web browser via CTRL+SHIFT+E, then doing a 'Select All' and 'Copy' in your web browser.

The settings used also come from the dialog 'Markup export options', only that you won't get to see them, they operate in the background. Your last used settings will be applied.

The program into which you paste:

  • must support rich text format
  • must keep the source formatting (the default setting in Word):

If your pasted text is not rendered, check Paste-options of Word or whatever editor you use.

CSS Template

This is where you - the user - have the most control over your formatting.

  • By including a CSS style sheet (template file) you provide visual styles for HTML elements.
  • You can edit your templates right on spot, from the export dialog:

Instead of deleting unwanted sections, comment them out as shown above
Enter additional rules or change existing ones

Templates offer the possibility to have different rules for the same element:

The CSS standard is widely accepted and not hard to learn. See en.wikipedia.org/wiki/CSS External for details

Template files

  • are fully portable (users can exchange them)
  • are stored in WriteMonkey's pogram directory in the subfolder 'templates'

Categories: What else? | Writing

Related topics: Headings | Markup Formatting | Print+Export


Markup Formatting

Markup is a generic term for a language that describes a document's formatting, such as HTML
Markdown is a specific markup library.

Formatting is not the domain of a plain text editor. However, WriteMonkey allows you to 'mark up' your text for formatted output according to syntax rules.

  • Press F1 to call up the Help Cards, the second page contains markup rules
  • The syntax explained corresponds to your chosen settings on the Print&Export Tab:

When using keystrokes CTRL+B and CTRL+I for bold and italics, WriteMokey will apply the correct markup-syntax, depending on your chosen markup standard.

Other markups must be entered in their correct syntax:

Element | Markdown | Textile
Code-span | `code-span` | @code-span@
blockquote | > indented >> nested indent | bq. indented
Headings | ## Heading two ### Heading three | h2. Heading two h3. Heading three

Syntax documentations:

  • Markdown Extra: daringfireball.net/projects/markdown/syntax External
  • WikiCreole: wikicreole.org/wiki/CheatSheet External
  • Textile: en.wikipedia.org/wiki/Textile_%28markup_language%29 External

Save your markdown files with the .md extension in the Save as ... dialog (file type dropdown) if you want to tell them apart from your other text files

CTRL+SHIFT+H will copy selected markup-text as HTML:

  • if you select this: ## Heading Level 2
  • then copy it with CTRL+SHIFT+H
  • pasting it will result in <h2>Heading Level 2</h2>

CTRL+SHIFT+F will copy selected markup as rendered HTML, see Markup Export

Syntax Highlighting

Enlarge
WriteMonkey helps you to visually discern semantic chunks of texts (headings, block quotes, lists and comments)

  • This has nothing to do with printing styles or RTF.
  • "Real formatting" will only occur upon Markup Export

Examples of Syntax Highlighting:

  • Paragraphs marked as indented block quote (">" for Markdown and "bq." for Textile) will be indented by 60 pixels.
  • Paragraphs marked as list items (- * + 1.) will be indented properly.
    • In order for this to work, there must be exactly one space between list mark and first letter of the text.
    • Nest items by starting the paragraph with tabs or spaces (Markdown style), or use multiple marks (##, ** - Textile and WikiCreole).
  • Headings can be screen-formatted in various ways: see Styling Headings

Categories: Screen Layout | What else?

Related topics: Markup Export


Math Calculations

Press CTRL+SHIFT+R after selecting a mathematical expression: 1+1 will turn into 1+1 = 2

  • 12 / 3 = 4
  • 2+4 * 3 = 14
  • (2+4) * 3 = 18
  • 3^4 = 81
  • 2 * pi = 6.2832

Decimal point = dot or comma: 2,5 + 1.2 = 3.7

Do not use thousands separators (dot or comma). The parser will regard it as a decimal point.

  • 1,000*5 = 5
  • 1.000*5 = 5
  • 1000*5 = 5000

A beep will accompany faulty syntax which produces = ERROR

Please support the ongoing development of Writemonkey

  • To activate the Math feature, go to http://writemonkey.com/ External
  • then click on the PayPal banner to donate

Categories: What else?


Miscellaneous

Click areas or links below:

  1. see Typing Sounds
  2. Date + Time Formats set here are used ...
    • to stamp your snippets that were cut to the Repository
    • as the [date] placeholder in Replacements
  3. see Bookmarks
  4. see Progress + Statistics
  5. see Scrolling+Zooming
  6. Other
    • Auto detect web links: URL-addresses will be clickable
    • Inverse colors in repository mode: as a visual clue whenever the Repository is active
    • Enable markup syntax highlighting: see Markup Export and Styling Headings

Categories: What else?


Navigating

Topics in category "Navigating"

  • Bookmarks
  • Files + Projects
  • Filtering
  • Headings
  • Jump Masks
  • Jumps Window
  • Open+Save
  • Repository
  • Scrolling+Zooming
  • Tags


Open+Save

To open a file:

  • drag it into Writemonkey
  • or right-click a file and select 'Open with WriteMonkey' from the context menu (provided you enabled this option, see screenshot)
  • or use the Open command from the Jumps Window

To open a file from the recent files list (# of items setting):

  • CTRL+TAB in the main window
  • right-click the WM-icon in the system tray
  • ALT-UP in the Jumps Window

Launch + Exit

CTRL+Q to quit or soft exit (if checked)
To force a hard exit when soft exit is enabled (otherwise no effect):

  • press CTRL+SHIFT+Q
  • in Window Mode: SHIFT-click the close button or SHIFT-click File > Quit

F2 to minimize the WriteMonkey application window

F8 to always keep WriteMonkey on top

  • The '^' sign in the status-section of the Info Bar reminds you that lock-on-top is active.
  • Press F8 again to goggle On/Off
  • WriteMonkey will always start with "lock on top" OFF

The option 'Restore caret position' only works with an NTFS file system (default on Win XP, Vista and Win7).

File Format

Open&Save tab:

  1. Default character encoding:
    • applied when you start a new document from scratch (CTRL+N)
    • the UTF-8 standard is recommended for the majority of users
  2. Always save with selected encoding:
    • unchecked: when you open an existing txt-file that was not created by Writemonkey, it won't force its own default encoding onto the file. Instead, Writemonkey will open and also save the file with its pre-existing encoding.
    • checked: upon saving, the open file will be converted to the selected encoding format.

      To manually finger-pick a text to convert (instead of 'Always save with ....'):
      • Open an exisiting file (ANSI for instance)
      • Copy all
      • CTRL+SHIFT+N to create a new file with the text
      • Save the file. You now have a file with Writemonkey's default encoding.
  3. Include BOM when saving UTF-8 files
    • by default Writemonkey includes BOM (Byte Order Mark) in UTF-8 files
    • save UTF-8 files without BOM if text files encoded with BOM aren't compatible with other programs or text parsers
  4. Save with UNIX line breaks
    • UNIX uses \n instead of \r\n which is the Windows standard
    • Unix line breaks are recognized by the majority of Windows programs, but not by Notepad.
    • Good for greater portability to other platforms

How does WriteMonkey detect the encoding of a file?
The beginning of the file may or may not contain a Byte Order Mark (BOM).

  • If it does, its encoding is immediately clear.
  • If it doesn't, the file could be encoded using UTF-8 or ANSI and there is no fool-proof way to detect which one is used. In that case Writemonkey will make an educated guess:
    • First it will assume that the file is UTF-8
    • If the file is in ANSI format and there are no non-English characters in it, the file will be converted to UTF-8 format and nothing will be lost or changed.
    • If file is in ANSI format and there are foreign, non-English characters in it, Writemonkey will keep that file in ANSI format. And again, nothing will be changed or corrupted.

Backup

No annoying .bak files in your project folders
Keep them out of your way by specifying a backup-folder:

Backup-folders follow this naming scheme: ProjectName_FileName

  • browsing backups is easier that way - sorting by name will nicely put together all files belonging to the same project
  • LastSave_ProjectName_FileName contains the last version

In addition you may want to - at least occasionally - backup the following:

  • Your custom file order which is stored in _PROJECT.DAT - files, located in each of your project folders. These files are not within the scope of AutoSave, and do therefore not exist in your backup-folders
  • Your Profiles and Templates which are in subfolders of the same name in the WriteMonkey program folder
  • Your user dictionary user.dic :
    • WinXP: C:\ Documents and Settings\[Username]\AppData\NetSpell\user.dic
    • Vista: C:\Users\[Username]\AppData\Roaming\NetSpell\user.dic

Categories: Navigating | What else?

Related topics: File Locations | Jumps Window | Print+Export


Print+Export

Settings are self-explanatory:

The page break string will only force a page break on the print-out, not on screen.

Fonts and Layout:

  1. 'Pg. Setup' to adjust paper size, margins, orientation etc.
  2. 'Set print settings using current screen settings':
    • adjust your font on the Colors&Fonts - tab
    • adjust your layout on the Screen Elements tab
    • then click button (2) to make them your print settings

'Use print settings'

  • This allows your print settings to differ from your current font and screen layout
  • Save your settings into a profile to keep the same print layout with different screen layouts or vice versa
Select text to print or proceed without selection to print the whole text
CTRL+SHIFT+P | Print Preview
CTRL+P | Print

Read about Syntax Highlighting to understand why styled text elements may not print as displayed on screen.

With Markup Export you can transform your plain text into well formatted documents. Great for printing first drafts. For a detailed description click here

Categories: What else?


Profiles

All tabs of the preferences dialog are taken in to account

  • Each profile can specify its own backup-folders, lookup-entries, replacements etc.
  • Serve your various writing purposes:
    • set up a 'Flow'-profile with serif-font and pastel background
    • and your 'ProofRead'-profile with monospace font and high contrast background

Press F9 to open Profiles

Please note:

  • A saved color scheme holds all preferences from the Colors+Fonts tab
  • A profile holds all preferences (from all tabs) including all saved color schemes
    This allows you to keep all your color schemes with other preference settings

Load/Import a profile

  1. Select the desired profile (the dropdown lists the content of the profiles -subfolder in the WriteMonkey directory)
  2. Click on Import

Save/Export current settings into a profile

  1. Name your desired profile
  2. Click on Save to store the file into the subfolder profiles in the WriteMonkey directory

Categories: Screen Layout

Related topics: Colors+Fonts | File Locations | Headings


Progress + Statistics

F12 to open, or click on progress - section of the Info Bar in the main window

Values are kept with the file:

  • the limit value of the progress count, its unit setting and the corresponding partial count value are saved as the file's meta data (NTFS file system only) and restored when the file is reopened.
  • These values are lost when you copy the file to a non NTFS drive, or when the file is sent via e-mail

If you prefer another thousands-seperator (even a space is possible):

Progress Formulas

If your chosen unit consists of pages or reading time,
enter your personal formula on the Misc-tab:

You can use the following variables:

  • words
  • characters
  • nonspaces
  • paragraphs
  • sentences [image] a sentence is any block of text that ends with . ! ? ;

Examples:

  • words/300 [image] equals 300 words per page (or reading minute)
  • characters/(70*25) [image] equals 70 char/line times 25 lines/page

Characters per line might be a more accurate measure than words per line:

  • long words and hyphenation are less prone to distort the estimate
  • column inches can be approximated by counting characters
  • characters/34 [image] turns page count into a 'line count' (for newspaper assignments)

Reading Time

  • to limit your text to minutes and seconds
  • great when preparing texts for spoken media, speeches, lectures etc.

Don't confuse reading time with the Sprint Writing Timer

  • reading time is set in minutes and seconds and displayed in the Progress section
  • the sprint timer is set in hours and minutes and displayed in the Time section

Statistics

The title bar will indicate whether statistics are based on

  • your current selection: Progress (selection)
  • the whole document: Progress (document) if nothing is selected

Pages and Reading time stats are based on the formula you enter on the Misc-Tab of Preferences, details see above.

Hard words consist of 3 syllables or more
Lexical density: en.wikipedia.org/wiki/Lexical_density External
Gunning fog index: en.wikipedia.org/wiki/Gunning_fog_index External

List of word frequencies:

  • words with less than 3 characters are not shown
  • words with 3 characters are faded
  • hard words (3 syllables or more) are bold

the list is sorted by frequency, scroll right to see less frequent words

Categories: What else? | Writing

Related topics: Sprint Writing | Word Count


RegEx

Regular Expressions are the basis for Jump Masks and may also be used in Find + Replace

  • in Jump Masks they are not case sensitive
  • in Find + Replace it depends on the setting of the checkbox 'Match Case'

Syntax

Escape char = \ [image] it escapes the metacharacters: $ . ^ { [ ( | ) * + ? \

  • \. = match a dot
  • \* = match a single asterisk
  • \[ = match a bracket
White space
\b | blank = word boundary
\s | space (blank or tab)
\n | new line
\r | carriage return
\t | tab

Wildcards

. dot | any single character except newline: `r and `n
 | c.t | matches cat, cbt, cct, c1t, c2t, cAt, cBt
 | t...s | matches teens, trees, trams, but not Teens, trucks
 | .* | matches everything
Bracketing |  |
 | [0-3] | matches any one digit from 0 through 3
 | [a\-z] | matches 'a', 'z' and '-'
 | b[aiu]t | matches "but", "bat", "bit", [image] but not "bait"
 |  | order doesn't matter: b[aiu]t is same as b[uia]t, b[iua]t and b[aui]t
 | [D-Qc-f1-5] | matches any one character in the range D to Q or any one character in the range c to f or any one digit in the range 1 to 5
Negation = will match only if it does not contain the expression that follows
 | [^a-e] | matches "s" in "basketball"
 | [^a-zA-Z]{4} | matches 1234 and $.25 and #77; etc
? | Matches the term to its left zero or 1 times [image] see also non-greedy
 | [hc]at | matches "hat" and "cat"
 | [hc]?at | matches "hat", "cat", and "at"
 | colou?r | matches "color" and "colour"
 | foob.?r | matches strings like 'foobar', 'foobbr' and 'foobr' but not 'foobalkj9r'
 | A[0-9]?4 | matches A4 and A24, but not A254
 | a\s?b | matches "ab" or "a b"
* | Matches the term to its left zero or more times
 | [hc]*at | matches "hat", "cat", "hhat", "chat", "hcat", "ccchat", "at" etc.
 | 6[2-4]* | matches 6, 62, 622, 624, 632, 644424, but not 8, 22, 65, 6135
+ | Matches the term to its left one or more times
 | [hc]+at | matches "hat", "cat", "hhat", "chat", "hcat", "ccchat", [image] but not "at"
 | [A-Za-z]+ | matches any word of any length, provided it contains no digits
 | [0-9]+ | matches 1, 13, 666, 93615 etc
 | foob.+r | matches strings like 'foobar', 'foobalkjdflkj9r' but not 'foobr'

Curly Braces: {Min,Max} number of times to match:

  • {n} matches n times exactly [image] equivalent to {n,n}
  • {n,} matches n times or more = at least n times
  • {n,m} matches n times at least, but not more than m times
  • If a curly bracket occurs in any other context, it is treated as a regular character
A{2,}{3,5} | matches one or two A, followed by 3-5 characters
(stef{2}en) | matches 'steffen'
fooba{2}r | matches 'foobaar'
fooba{2,}r | matches strings like 'foobaar', 'foobaaar', 'foobaaaar' etc.
fooba{2,3}r | matches strings like 'foobaar', or 'foobaaar' but not 'foobaaaar'
\d{5} | matches 5 digits
\s{2,} | matches at least 2 space characters
\d{2,3} | matches at least 2 but no more than 3 digits

Parentheses

(ab)?(c) | matches "abc" or "c"
(ab)|(cd)|(ef) | matches "ab" or "cd" or "ef"
Quantifiers that immediately follow the group apply to the whole group:
(abc){2,3} | matches abcabc and abcabcabc , but not "abc" or "abccc"
(\w+)\s+\1 | matches any word that occurs twice in a row, such as "hubba hubba."

Anchors

Unless anchored, wildcards will search anywhere: start, middle, end

^([^\n\r]+)$ matches a whole line

^ | Start of the input string.
 | ^bat | matches strings beginning with "bat"
 | ^[bat] | matches strings that begin with either "b", "a", or "t"
 | ^[^BAT] | matches strings that do not begin with either B, A, or T
 | ^[hc]at | matches "hat" and "cat", but only at the beginning of the string/line
^ | Caret immediately following the left bracket = excludes the remaining characters within brackets
 | [^0-9] | not a digit.
 | [^abc] | all characters except these
 | [^K-Q] | all except these
 | [^a-e] | matches "s" in "basketball"
$ | End of the string.
 | abc$ | will match the sub-string “abc” only if it is at the end of the string.
 | [hc]at$ | matches "hat" and "cat", but only at the end of the string/line
 | keep in mind that most strings/files will end on a period or exclamation/question mark. You must include those as well
$$ | End of File - very useful to append stuff at the end of text files

\b = word boundary = a spot between two characters that has

  • a \w on one side of it and
  • a \W on the other side of it (in either order) [image] \w = word, \W = non-word
  • counting the imaginary characters off the beginning and end of the string as matching a \W
  • ly\b matches "ly" in "possibly tomorrow"

Greedy vs Non-Greedy

Without getting into too much detail

  1. greedy mode is most often NOT the way to go. It starts at the beginning of the RegEx string and picks the end, with everything in between
  2. non-greedy or lazy mode often provides a better, more relevant search
GREEDY |  | NON-GREEDY = with an extra ?
<abc>Hello world!<def> |  | <abc>Hello world!<def>
<.*> | returns <abc>Hello world!<def> | <.*?> | returns <abc>
abbbbc |  | abbbbc
b+ | returns 'bbbb' | b+? | returns 'b'
b* | returns 'bbbb' | b*? | returns empty string
b{2,3} | returns 'bbb' | b{2,3}? | returns 'bb'
? | zero or one, similar to {0,1} | ?? | zero or one, similar to {0,1}?
* | zero or more, similar to {0,} | *? | zero or more, similar to {0,}?
+ | one or more, similar to {1,} | +? | one or more, similar to {1,}?
{n} | exactly n times | {n}? | exactly n times
{n,} | at least n times | {n,}? | at least n times
{n,m} | at least n but not more than m times | {n,m}? | at least n but not more than m times

More

There is much more to RegEx: Backreference, Swapping and replacing terms etc.

Tools to test-drive:
RegEx - Tester online: www.regextester.com/ External | gskinner.com/RegExr/ External
RegEx-Coach to download: www.weitz.de/regex-coach/ External

Categories: What else?

Related topics: Find + Replace | Jump Masks


Replacements

Triggers are case sensitive:

  • ill will not be replaced by I'll
  • Ill however will be replaced by I'll

Examples:

  • screenplays: to capitalize Names in dialogue: /ed [image] "EDUARD:"
  • mails and web: to enter several lines:

Profiles allow you to keep several sets of replacements

Date+Time Stamps

If [date] is your replacement, your trigger (/now) will insert the format you have set up:

Details about Date/Time-Formatting [image] Date+Time

Symbols

Directly from the Insert Symbol Dialog ALT+X:

This saves you the hassle of grabbing cryptic symbols via Copy + Paste
The symbol will automatically get inserted into the Replacement field.

Related topics: Lookups


Repository

A place to store your notes, unfinished parts, data clippings, URL's

  • you can think of it as the backside of the paper you're writing on
  • headings, bookmarks, comments - everything works like in the main section
  • its content is excluded
    • when merging files
    • from Word Count and Progress Statistics unless the repository is active
    • from Print+Export unless the repository is active

To activate:
Main Window: ALT+R or F5 , both work as toggles
Jumps Window:
Press buttons in lower left to switch from the Main Section to the Repository

To see immediately if you are in the repository

  • enable inverse colors on the Misc-Tab
  • put the Status section onto your Info Bar
    • it will display 'Rep' if you are in repository mode
    • it will display a plus-sign '+' if the repository contains text
  • put Notices onto your Info Bar
    • it will briefly show Repository has content upon loading a file
    • it will briefly show Repository on when you switch over to the repository

Independent from the main section, the repository will keep and recall its own

  • Segment Focus (if applicable)
  • Scroll and caret position

CTRL+M moves/cuts selected text to the repository

  • if nothing is selected, the whole paragraph is moved over
  • Writemonkey precedes each of your snippets with the line:
    // moved from main text: Date_Time //
    The format for this date-time stamp is taken from here:

    More about formatting dates and time [image] Date+Time

To remove the text that Writemonkey has inserted (but still keep your own comments):

  1. Press CTRL+F to open Find + Replace
  2. Activate the checkbox 'Use Regular Expressions'
  3. Enter the following parameters: //.+?//

Where is it stored?

The repository is part of the file it belongs to. When you open that file with another editor, you will notice the line
***END OF FILE*** [image] this seperates the repository from the main text:

Categories: Navigating | Writing

Related topics: Comments | ToDo Notes


Screen Layout

Topics in category "Screen Layout"

  • Colors+Fonts
  • Headings
  • Info Bar
  • Layout
  • Markup Formatting
  • Profiles
  • Scrolling+Zooming
  • View Modes


Scrolling+Zooming

Tip:

  • press CTRL+F4 to lock to a certain scroll position within your text
  • then hold down F4 to peep at this location

Typewriter Scrolling toggle with CTRL+L

  • keeps your current writing line fixed at its vertical position. Instead of the line moving down, text will scroll up
  • Status - section of Info Bar will display an equal sign '=' if switched on
  • to also keep your horizontal spot fixed: CTRL+SHIFT+L for caret centering

Blind Scrolling refers to holding down the left mouse on either side of the text column

  • Upper Half scrolls upwards, lower half scrolls downwards
  • Up and Down areas depend on your margin-settings on the Layout-Tab

When blind scrolling

  • hit CTRL to jump a page up or down
  • release to scroll one line at a time again
  • ALT+scroll will treat the scroll border like a regular scrollbar
  • ALT+click will transport you to the exact spot on an imaginary vertical 1-100% ruler
  • Clicking on top or bottom will do the same as CTRL-Home and CTRL-End

Scroll Indicator Settings:

Scrolling with the Keyboard
CTRL+, (comma) | scroll up
CTRL+. (period) | scroll down
CTRL+SHIFT+, | scroll one page up
CTRL+SHIFT+. | scroll one page down
This will not move the caret position (in contrast to PgUp and PgDown)
ALT+SPACE | return to current caret/cursor position
CTRL+SPACE | center caret/cursor on middle of screen
CTRL+PgUp | position caret on top of screen page
CTRL+PgDown | position caret on bottom of screen page
CTRL+HOME | position caret on top of document
CTRL+END | position caret on bottom of document
Zooming + Layout
Ctrl Wheel | Zoom text + column width
Shift Wheel | Zoom text only (keep column width)
Alt Wheel | Adjust column width only (keep text size)
CTRL+ALT+LEFT | Shrink text column
CTRL+ALT+RIGHT | Widen text column
CTRL+ALT+Up | Zoom in
CTRL+ALT+Down | Zoom out
CTRL+0 (zero) | Reset to default

Categories: Navigating | Screen Layout

Related topics: Layout


Segment Focus

Zero in on part of your text:
F6 | focus on selected text
CTRL+F6 | focus on current paragraph
SHIFT+F6 | focus on current heading section

Indicators that Segment Focus is ON:

  • the Status - section of the Info Bar will display 'Foc'
  • text column markers ( [image] Screen Elements) will sport a dotted line instead of the solid one

There are 2 Segment Focus features working independently from each other:

  1. one for the main section
  2. another one for the Repository: If you need to refer to something repeatedly, focus on that part to have it isolated when you come back

Use Segment Focus whenever limited scope is required:

  • Find + Replace
  • Spell Check
  • Partial Word Counts

Documents will always open with segment focus OFF.

Categories: Writing

Related topics: Headings


Shortcuts

Table of Contents
  • Main Window
    • Open+Close
    • View+Zoom
    • Scroll+Navigate
    • Write+Edit
    • Writing Tools
    • Print+Export
    • Sounds
  • Jumps Window
    • Inside Jumps
    • Files+Folders

Main Window

Quick Help
F1 | Help Cards
CTRL+F1 | version information, credits
right-click | to access common commands
ESC or F11 | see menu (if enabled in Window mode)

Open+Close

To open a file
CTRL+O | Open a file from last used directory
CTRL+TAB | in main window, press repeatedly or mouse-select
or use the Jumps Window to open project-related files or see here
CTRL+N | New File from Scratch
CTRL+SHIFT+N | New File from Clipboard Contents
CTRL+S | Save
CTRL+SHIFT+S | Save as....
CTRL+Q | Quit or Soft Exit, depending on settings in Open+Save
CTRL+SHIFT+Q | Force hard exit when soft exit is enabled
 | or SHIFT-click close-button in Window Mode
 | or SHIFT-click 'Quit' - menu command

View+Zoom

Peeping Features: Hold down ...

  • F3 to peep underneath the WM-Window
  • F4 to peep at a scroll position you previously defined with CTRL+F4
F2 | minimize WriteMonkey
F8 | lock it on top of screen
F9 | Profiles
F10 | Preferences
F11 or ESC | Toggle FullScreen + Window Mode
CTRL F3 | Opacity from 100-50%, indicated in Notices-section
ALT+L | Try your luck with random colors
ALT+P | Info Bar On/Off
ALT+R or F5 | Toggle Repository
Zooming + Layout
Ctrl Wheel | Zoom text + column width
Shift Wheel | Zoom text only (keep column width)
Alt Wheel | Adjust column width only (keep text size)
CTRL+ALT+LEFT | Shrink text column
CTRL+ALT+RIGHT | Widen text column
CTRL+ALT+Up | Zoom in
CTRL+ALT+Down | Zoom out
CTRL+0 (zero) | Reset to default

Scroll+Navigate

When typing:
CTRL+L | Typewriter Scrolling On/Off
CTRL+SHIFT+L | Caret Centering
Scrolling |
CTRL+F4 | memorize scroll position
hold down F4 | peep at memorized scroll position
When Blind Scrolling is enabled
hit CTRL | to jump a page up or down
ALT- scroll | to treat scroll area like a regular scrollbar
ALT-click | to jump to the exact spot on a vertical 1-100% scale
Scrolling with the Keyboard
CTRL+, (comma) | scroll up
CTRL+. (period) | scroll down
CTRL+SHIFT+, | scroll one page up
CTRL+SHIFT+. | scroll one page down
This will not move the caret position (in contrast to PgUp and PgDown)
ALT+SPACE | return to current caret/cursor position
CTRL+SPACE | center caret/cursor on middle of screen
CTRL+PgUp | position caret on top of screen page
CTRL+PgDown | position caret on bottom of screen page
CTRL+HOME | position caret on top of document
CTRL+END | position caret on bottom of document
Navigation
Headings etc. | See Jumps Window Shortcuts
CTRL+F | Find + Replace
ALT+N | Next bookmark
ALT+B | Before/previous bookmark
ALT+M | Insert bookmark

Write+Edit

CTRL+Z | Undo
CTRL+Y | Redo
CTRL+SHIFT+C | Copy all
CTRL+A | Select All
If nothing is selected, the following affects the whole paragraph:
ALT+Up/Down | Move paragraph up or down
CTRL+M | Move to Repository (ALT+R to go there)
CTRL+X | Cut
CTRL+C | Copy
CTRL+V | Paste
ALT+X | Insert Symbol
ALT+M | Insert Bookmark, ALT+B/N to step through
Formatting | see Print+Export

Writing Tools

Zero in on part of your text with Segment Focus
F6 | Focus on selected text
CTRL+F6 | Focus on current paragraph
SHIFT+F6 | Focus on current heading section
CTRL+F | Find + Replace
F7 | Spell Check
ALT+1...9 | Lookup words
F12 | open Progress Window
ALT+F11 | Pause Sprint Timer
For donors only:
Ctrl Shift Alt F | Flow mode
CTRL+SHIFT+R | Resolve Math Calculations

Print+Export

Formatting according to Markup Export-settings
CTRL+B | Bold
CTRL+I | Italic
CTRL+SHIFT+E | Markup Export
CTRL+SHIFT+F | Copy with Formatting
CTRL+SHIFT+H | Copy as HTML
 | <em>ITALIC</em>
 | <strong>BOLD</strong>
CTRL+SHIFT+P | Print Preview
CTRL+P | Print

Sounds

ALT+S | Typing Sounds On/Off
CTRL+W | Whitenoise On/Off, for donors only
CTRL+SHIFT+W | Step through Whitenoise Sounds

Jumps Window

Open Jumps | CTRL+ENTER or ALT+LEFT/RIGHT
 | middle-click left or right of the text column
 | click on FileName in the Info Bar
Close Jumps | ESC
 | ENTER (twice in Files view), go to new position
 | BACKSPACE, keep old position

Inside Jumps

ALT+LEFT/RIGHT | Focus main window
LEFT/RIGHT | Toggle Files - Bookmarks - Jump Masks
CTRL+LEFT/RIGHT | FILES: step through recent folders
 | BOOKMARKS: no effect
 | CUSTOM: step through jump masks
TAB | access Filter Box
CTRL+0 (zero) | Clear Filter Box
CTRL+ENTER | Select next item on the list
UP/DOWN | Previous/next item
CTRL+UP/DOWN | Jump 10 items (same as PgUp/PgDown)
HOME, END | Jump to top or bottom of list
CTRL+W | Toggle compact / full view
CTRL+M | Toggle monospace / proportional font
CTRL+N | Show/hide numbers
CTRL+S | Sync color scheme to main window

Files+Folders

CTRL+P | Add folder
CTRL+F | Open containing folder of current file
CTRL+I | Insert new file
F2 | Rename file
CTRL+LEFT/RIGHT | Step through recent folders list
ALT+Down | Open recent folders list
ALT+Up | Open recent files list

More about sorting files, merging them etc. Files + Projects

Categories: Tips & Tricks


Sounds

Additional sounds: writemonkey.com/download.php External

Typing Sounds

Vintage clicks and other sounds are triggered when you press

  1. Space
  2. Enter
  3. Backspace or Delete
  4. all other keys

On the Misc - Tab of Preferences:

  • Press PLAY-button to preview chosen Typing Sound
  • Adjust volume independently from overall PC-volume

Press ALT+S to toggle Typing Sounds ON/OFF

Whitenoise

Whitenoise is like white light, the conglomerate of all light frequencies.
Whitenoise is what we hear when there is a lot of background noise of various sources. The sound of a river, of wind in the trees, of heavy rain ...

The positive effects of these sounds on the writing process can be twofold:

  1. they are very comforting and even have a kind of hypnotic effect
  2. they mask out other sounds, especially spoken words, even when played in a very low volume. Imagine writing in a café with your laptop and not wanting to be disturbed by conversations around you. Pop up your ear pieces, activate Whitenoise and you are in the zone again :)

These sounds play in an endless loop

  • CTRL+W to toggle ON/OFF
  • CTLR+SHIFT+W to step through sounds like ...
    • Ocean waves
    • Wilderness River, Rapids, Waterfall
    • Rain
    • Morning Birds
    • DreamForest

To add your own sounds (and have them play in an endless loop)

  • simply copy your sound files into WM's subfolder sounds
  • supported file formats: .ogg and .mp3

Please support the ongoing development of Writemonkey

  • To activate the Whitenoise feature, go to http://writemonkey.com/ External
  • then click on the PayPal banner to donate

Categories: What else?

Related topics: File Locations


Spell Check

F7 opens the dialog:

When you click 'ADD' the word will be added to user.dic

  • WinXP: C:\ Documents and Settings\[Username]\AppData\NetSpell\user.dic
  • Vista: C:\Users\[Username]\AppData\Roaming\NetSpell\user.dic

If you want to spell check only part of your text

  • do it on a Segment Focus
  • or select a block of text first

Settings

  • Dictionaries are OpenOffice based
  • Download additional dictionaries: writemonkey.com/download.php#dictionaries External

Consider saving your settings as a profile if you

  • write in different languages
  • need different spell checker settings for various types of work

Be careful when editing or customizing .dic files.
To complement them with your own entries at the very bottom:

Always close WriteMonkey before messing with .dic files.

More info about the dictionary structure:
www.loresoft.com/projects/netspell/the-netspell-project/default.aspx External

Categories: Writing

Related topics: Lookups


Sprint Writing

Press F12 to open the progress window (or click on the progress section in the Info Bar)

In the lower right set up your countdown timer:

When your time is up, you will hear 3 short beeps

The Info Bar will display pertinent information:

  • 'Time is up' in the Notices - section when time limit has been reached
  • 'Paused' in the Status - section when you press ALT+F11 to pause
  • [HH:mm:ss] countdown in the Time - section

You can also use the timer function the other way round:

  1. start with limit set to zero
  2. then see how long it takes you to accomplish your writing goal

use this in combination with the Visual Progress Bar to monitor your progress

Categories: What else?

Related topics: Info Bar | Progress + Statistics | Word Count


Tags

Tags are words (seperated by space or by comma)

  • that are marked as comments //
  • and positioned at the very top of the file [image] make sure there is no blank line above your tags
    //tag1 tag2, tag3 tag4
    //tag5
    //tag6, tag7

Examples

  • //Red [image] to assign a red star, all Standard HTML Color Names are allowed
  • //10% [image] for every kind of rating purpose: file completion, plot tension etc.
  • //draft or //repo [image] will sink the file to the "repository section" at bottom of the file list. These files ..
    • are excluded when merging files
    • may be excluded from some word counts [image] see Count per Project/Folder
  • //2012-02-15 or just //02-15 [image] File name will turn red after the "expiration date"

Alias Color Codes

  • are not case sensitive: "NeedsResearch" is the same as "needsresearch"
  • seperate multiple aliases by commas: Rewrite: white white, Urgent: red red red

Semantic Tags

  • use any single word, you can combine them with all tags from above
  • you can filter your files based on these criteria
  • Example: //People, Dialog, Food

These tags are visible on mouse-over or when "Compact View" is disabled

Color Names

Standard HTML colors may be used

  • in color tags and alias definitions for color tags
  • in CSS Templates for Markup Export
AliceBlue | WWWWWW
AntiqueWhite | WWWWWW
AquaMarine | WWWWWW
Azure | WWWWWW
Beige | WWWWWW
Bisque | WWWWWW
BlancheDalmond | WWWWWW
BlueViolet | WWWWWW
Brown | WWWWWW
BurlyWood | WWWWWW
CadetBlue | WWWWWW
Chartreuse | WWWWWW
Chocolate | WWWWWW
Coral | WWWWWW
CornFlowerBlue | WWWWWW
CornSilk | WWWWWW
Crimson | WWWWWW
Cyan | WWWWWW
DarkBlue | WWWWWW
DarkCyan | WWWWWW
DarkGoldenRod | WWWWWW
DarkGray | WWWWWW
DarkGreen | WWWWWW
DarkKhaki | WWWWWW
DarkMagenta | WWWWWW
DarkOliveGreen | WWWWWW
DarkOrange | WWWWWW
DarkOrchid | WWWWWW
DarkRed | WWWWWW
DarkSalmon | WWWWWW
DarkSeaGreen | WWWWWW
DarkSlateBlue | WWWWWW
DarkSlateGray | WWWWWW
DarkTurquoise | WWWWWW
DarkViolet | WWWWWW
DeepPink | WWWWWW
DeepSkyBlue | WWWWWW
DimGray | WWWWWW
DodgerBlue | WWWWWW
FireBrick | WWWWWW
FloralWhite | WWWWWW
ForestGreen | WWWWWW
GainsBoro | WWWWWW
GhostWhite | WWWWWW
Gold | WWWWWW
GoldenRod | WWWWWW
GreenYellow | WWWWWW
Honeydew | WWWWWW
HotPink | WWWWWW
IndianRed | WWWWWW
Indigo | WWWWWW
Ivory | WWWWWW
Khaki | WWWWWW
Lavender | WWWWWW
LavenderBlush | WWWWWW
LawnGreen | WWWWWW
LemonChiffon | WWWWWW
LightBlue | WWWWWW
LightCoral | WWWWWW
LightCyan | WWWWWW
LightGoldenRodYellow | WWWWWW
LightGreen | WWWWWW
LightGray |
LightPink | WWWWWW
LightSalmon | WWWWWW
LightSeaGreen | WWWWWW
LightSkyBlue | WWWWWW
LightSlateGray | WWWWWW
LightSteelBlue | WWWWWW
LightYellow | WWWWWW
LimeGreen | WWWWWW
Linen | WWWWWW
Magenta | WWWWWW
MediumAquamarine | WWWWWW
MediumBlue | WWWWWW
MediumOrchid | WWWWWW
MediumPurple | WWWWWW
MediumSeagreen | WWWWWW
MediumSlateBlue | WWWWWW
MediumSpringGreen | WWWWWW
MediumTurquoise | WWWWWW
MediumVioletRed | WWWWWW
MidnightBlue | WWWWWW
MintCream | WWWWWW
MistyRose | WWWWWW
Moccasin | WWWWWW
NavajoWhite | WWWWWW
Oldlace | WWWWWW
OliveDrab | WWWWWW
Orange | WWWWWW
OrangeRed | WWWWWW
Orchid | WWWWWW
PaleGoldenRod | WWWWWW
PaleGreen | WWWWWW
PaleTurquoise | WWWWWW
PaleVioletRed | WWWWWW
PapayaWhip | WWWWWW
PeachPuff | WWWWWW
Peru | WWWWWW
Pink | WWWWWW
Plum | WWWWWW
PowderBlue | WWWWWW
RosyBrown | WWWWWW
RoyalBlue | WWWWWW
SaddleBrown | WWWWWW
Salmon | WWWWWW
SandyBrown | WWWWWW
SeaGreen | WWWWWW
Seashell | WWWWWW
Sienna | WWWWWW
SkyBlue | WWWWWW
SlateBlue | WWWWWW
SlateGray | WWWWWW
Snow | WWWWWW
SpringGreen | WWWWWW
SteelBlue | WWWWWW
Tan | WWWWWW
Thistle | WWWWWW
Tomato | WWWWWW
Turquoise | WWWWWW
Violet | WWWWWW
Wheat | WWWWWW
WhiteSmoke | WWWWWW
YellowGreen | WWWWWW

Categories: Navigating | What else?

Related topics: Files + Projects | Filtering


Tips & Tricks

Hold Down

  • F3 to peep underneath the WM-Window
  • F4 to peep at a scroll position you previously defined with CTRL+F4

Topics in category "Tips & Tricks"

  • Easy on the Eyes
  • Jumping Jack
  • Lookups
  • Shortcuts
  • ToDo Notes
  • www writing


ToDo Notes

Use the repository to store ideas about the text you're writing

  • When adding a new item put an exclamation mark '!' in front of the paragraph
  • And when the item is done replace the '!' with 'OK'

Using the repository you can now easily jump through items that need further attention and also see those already done.

You can of course replace ! and OK with any character or string you want. Or you might use ....

  • !P to mark items that have something to do with the plot of the story
  • !R for items that require research

These two jump masks will list ToDo and Done

Name: | To-do
Jump mask: | ^!.+?\n
Sample text: | ! This is a to-do item ...
Name: | Done
Jump mask: | ^OK.+?\n
Sample text: | OK This idea already implemented ...

Taking it one step further, you could filter for these (bottom of the jumps dialog) to refine your matches

Categories: Tips & Tricks

Related topics: Bookmarks | Comments | Filtering | Jump Masks | Jumping Jack


View Modes

ESC or F11 toggles between Fullscreen and Window Mode

  • the last used Window size and position will be remembered
  • to start up in full screen: Press F10 for Preferences

Disable this option if your prefer the resizable Window Mode

To modify the look of the Window Mode:

  • consider resizing the infobar
  • strip it down: Preferences > Screen Elements > More

Press F2 to minimize the WriteMonkey application window
To hide WriteMonkey into the system tray, see Open+Save

Categories: Screen Layout

Related topics: Open+Save


What else?

For Donors only:

  • Math Calculations
  • Whitenoise Sounds
  • Flow Mode

Topics in category "What else?"

  • Date+Time
  • File Locations
  • Filtering
  • Language
  • Markup Export
  • Markup Formatting
  • Math Calculations
  • Miscellaneous
  • Open+Save
  • Print+Export
  • Progress + Statistics
  • RegEx
  • Sounds
  • Sprint Writing
  • Tags
  • Word Count


Word Count

The following applies to all counting methods within WriteMonkey:

  • Comments are not included
  • The Repository is a system of its own, it will not add up to the total number in the main section.

Counting per Folder

At the bottom of the Jumps window: CTRL+R to recount

Filtering affects the word count as follows:

  1. No Filter (empty filter box):
    • files tagged as draft or repo will not be included in the count
    • merged files will not be included: _MERGED YYYYMM-DD hh-mm.txt
  2. With Filter (filter box not empty):
    • All visible files will be included
    • files tagged as draft or repo will be included
    • files that have been merged will also be included in the word count

Counting per File

To keep track of your word count

  1. position the progress section on the Info Bar
  2. For a more elaborate read-out press F12 to see Statistics

Visual Progress Bar

For those who write stuff which needs to be of a certain length. Journalists, writers …

The bar uses the ink color of your color scheme. It is located ...

  • on the very bottom, if info bar is docked to the bottom
  • on the very top of the screen if the info bar is docked on top

Setting the reference value:

  • press F12 to bring up the Progress Window (or click on progress section of the info bar)
  • Set both, unit and value to define the max scale (full length) of your progress bar

When you exceed your Limit, the bar will turn red (overlaying the ink color):

Set the Timer to a limit of zero, then let it count in reverse to see how long it took you to reach your writing goal.

Partial Count

Keep a seperate record that is counting up from zero after pressing "Reset Partial Count"

  • the increasing units will be added to the total amount
  • pasting text will also advance the partial count

Open the Progress Window: F12 or click on progress section of the info bar

Reset your partial count to start over at zero

To partially count text that has already been written:

  • select text fragments with the mouse
  • or use Segment Focus:
F6 | focus on selected text
CTRL+F6 | focus on current paragraph
SHIFT+F6 | focus on current heading section

You may also start with an empty Segment Focus, then type and count from scratch.
If you combine both techniques, you have two sub-counts at your fingertips:

  1. the regular progress count, now operating on your segment focus only
  2. the reset partial count, operating on part of your segment focus

Categories: What else?

Related topics: Info Bar | Progress + Statistics | Sprint Writing


Writing

Topics in category "Writing"

  • Bookmarks
  • Comments
  • Find + Replace
  • Lookups
  • Markup Export
  • Progress + Statistics
  • Repository
  • Segment Focus
  • Spell Check


www writing

Write your web stuff without distractions! Firefox extension It's All Text External

Use it when writing text for your blogs, for web based e- mail ... It works with any textarea on any web page.

To use this extension

  • character encoding must be set on UTF-8 (already default)
  • and "Always save on exit" must be enabled

Categories: Tips & Tricks


Categories

  • Navigating
  • Screen Layout
  • Tips & Tricks
  • What else?
  • Writing